{-# LANGUAGE DeriveGeneric #-}

module Types.RoomData (RoomData, RoomsData) where

import ClassyPrelude
import Data.Aeson (FromJSON, ToJSON)
import Types.Participant (Participant)

data RoomData = RoomData
  { roomName :: RoomName,
    participants :: [Participant]
  }
  deriving (Generic, Show, Eq)

type RoomName = Text

type RoomsData = [RoomData]

instance ToJSON RoomData

instance FromJSON RoomData
